> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# テンプレートのすべてのBox Doc Genジョブのリストを取得

> このテンプレートを使用するユーザーのジョブのリストを取得します。

<Note>
  「[Box SDKのバージョニング戦略](/ja/guides/tooling/sdks/sdk-versioning/)について詳しく学ぶ。」
</Note>


## OpenAPI

````yaml box-openapi-v2025.0-jp.json GET /docgen_template_jobs/{template_id}
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 92c221bf9d
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: アーカイブを管理するために使用される、一連のエンドポイント。
    x-box-tag: archives
  - name: Enterprise構成
    description: 管理者がBox製品の動作を制御するために操作するEnterprise構成。
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Genは、ドキュメントを自動的に生成するために使用されます。
    x-box-tag: docgen
  - name: Box Doc Genテンプレート
    description: Doc Genテンプレートは、ドキュメントを生成するための入力として使用されます。
    x-box-tag: docgen_template
  - name: 外部ユーザー
    description: 外部ユーザーは、自社に所属していないコラボレータです。
    x-box-tag: external_users
  - name: Box Hubs
    description: Box Hubsを管理するために使用される、一連のエンドポイント。
    x-box-tag: hubs
  - name: Box Hubコラボレーション
    description: Box Hub内のコラボレーションを管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_collaborations
  - name: Box Hubドキュメント
    description: Box Hubドキュメント要素 (ページとコンテンツブロック) を取得するために使用される、一連のエンドポイント。
    x-box-tag: hub_document
  - name: Box Hubの項目
    description: Box Hub内の項目を管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_items
  - name: Shieldリスト
    description: Shieldリストを使用すると、管理者は、さまざまなShieldスマートアクセスルールや脅威検出ルールで共有される項目のリストを作成できます。
    x-box-tag: shield_lists
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /docgen_template_jobs/{template_id}:
    get:
      tags:
        - Box Doc Genテンプレート
      summary: テンプレートのすべてのBox Doc Genジョブのリストを取得
      description: このテンプレートを使用するユーザーのジョブのリストを取得します。
      operationId: get_docgen_template_jobs_id_v2025.0
      parameters:
        - name: template_id
          in: path
          description: ジョブの取得対象となるテンプレートのID。
          required: true
          schema:
            type: string
          example: 123
        - name: marker
          in: query
          description: |-
            結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。

            これを使用するには、`usemarker`を`true`に設定する必要があります。
          required: false
          schema:
            type: string
          example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
        - name: limit
          in: query
          description: 返す項目の1ページあたりの最大数。
          required: false
          schema:
            type: integer
            format: int64
            maximum: 1000
          example: 1000
        - $ref: '#/components/parameters/BoxVersionHeader'
      responses:
        '200':
          description: 1つのBox Doc Genテンプレート。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocGenJobs'
        '400':
          description: ユーザーが形式の正しくないマーカーや限界値を渡した場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: クライアントには、リクエストされたコンテンツまたはリソースへのアクセス権限がありません。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: テンプレートが見つからない場合、または関連付けられたテンプレートへのアクセス権限がユーザーに与えられていない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: ユーザーが一定時間内に送信したリクエストが多すぎます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: サーバーで予期しない状況が発生しました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: テンプレートのすべてのBox Doc Genジョブのリストを取得
          source: |-
            curl -L 'https://api.box.com/2.0/docgen_template_jobs/12345678' \
                 -H 'box-version: 2025.0' \
                 -H 'Authorization: Bearer <ACCESS_TOKEN>'
        - lang: dotnet
          label: テンプレートのすべてのBox Doc Genジョブのリストを取得
          source: >-
            await
            client.DocgenTemplate.GetDocgenTemplateJobByIdV2025R0Async(templateId:
            NullableUtils.Unwrap(fetchedDocgenTemplate.File).Id);
        - lang: swift
          label: テンプレートのすべてのBox Doc Genジョブのリストを取得
          source: >-
            try await
            client.docgenTemplate.getDocgenTemplateJobByIdV2025R0(templateId:
            fetchedDocgenTemplate.file!.id)
        - lang: java
          label: テンプレートのすべてのBox Doc Genジョブのリストを取得
          source: >-
            client.getDocgenTemplate().getDocgenTemplateJobByIdV2025R0(fetchedDocgenTemplate.getFile().getId())
        - lang: node
          label: テンプレートのすべてのBox Doc Genジョブのリストを取得
          source: |-
            await client.docgenTemplate.getDocgenTemplateJobByIdV2025R0(
              fetchedDocgenTemplate.file!.id,
            );
        - lang: python
          label: テンプレートのすべてのBox Doc Genジョブのリストを取得
          source: |-
            client.docgen_template.get_docgen_template_job_by_id_v2025_r0(
                fetched_docgen_template.file.id
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    DocGenJobs:
      description: 標準のパラメータのセットを含むBox Doc Genジョブのリスト。
      type: object
      allOf:
        - type: object
          description: マーカーベースのページネーションについて説明しているAPIレスポンスの部分。
          properties:
            limit:
              description: >-
                これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータの`limit`と等しくなります。最大値はAPIによって異なります。
              type: integer
              format: int64
              example: 1000
            next_marker:
              description: 次の検索結果ページの開始場所のマーカー。
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
              nullable: true
            prev_marker:
              description: 前の検索結果ページの開始場所のマーカー。
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih
              nullable: true
        - properties:
            entries:
              description: ジョブのリスト。
              type: array
              items:
                $ref: '#/components/schemas/DocGenJob'
      title: Box Doc Genジョブ
      x-box-resource-id: docgen_jobs_v2025.0
      x-box-tag: docgen
      x-box-variant: base
      x-box-variants:
        - standard
        - full
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2025.0
    DocGenJob:
      description: Box Doc GenジョブのStandard版の表示。
      type: object
      allOf:
        - $ref: '#/components/schemas/DocGenJob--Base'
        - properties:
            batch:
              allOf:
                - $ref: '#/components/schemas/DocGenBatch--Base'
                - description: ジョブが属しているBox Doc Genのバッチ。
            template_file:
              allOf:
                - $ref: '#/components/schemas/FileReference'
                - description: ジョブで使用されたBox Doc Genテンプレート。
            template_file_version:
              allOf:
                - $ref: '#/components/schemas/FileVersion--Base'
                - description: テンプレートのファイルバージョン。
            output_file:
              allOf:
                - oneOf:
                    - $ref: '#/components/schemas/FileReference'
                    - title: OpenAPI 3.0 null schema type
                      description: The definition for a null schema type in OpenAPI `3.0`.
                      type: object
                      nullable: true
                      additionalProperties: false
                - description: ジョブの出力ファイル。このプロパティは、ジョブが完了するまで`null`となります。
            output_file_version:
              allOf:
                - oneOf:
                    - $ref: '#/components/schemas/FileVersion--Base'
                    - title: OpenAPI 3.0 null schema type
                      description: The definition for a null schema type in OpenAPI `3.0`.
                      type: object
                      nullable: true
                      additionalProperties: false
                - description: 出力ファイルのファイルバージョン。このプロパティは、ジョブが完了するまで`null`となります。
            status:
              description: ジョブのステータス。
              type: string
              example: completed
              enum:
                - submitted
                - completed
                - failed
                - completed_with_error
                - pending
            output_type:
              description: 生成されたファイルの種類。
              type: string
              example: docx
            failures:
              description: ドキュメント生成中に発生したエラーおよび警告。
              type: object
              nullable: true
              properties:
                errors:
                  description: ドキュメント生成中に発生したエラーのリスト。
                  type: array
                  items:
                    type: string
                  example:
                    - >-
                      The tag 'customer_name' was not provided in the input
                      data.
                warnings:
                  description: ドキュメント生成中に発生した警告のリスト。
                  type: array
                  items:
                    type: string
                  example:
                    - >-
                      The tag 'optional_field' was provided but not used in the
                      template.
              required:
                - errors
                - warnings
      required:
        - id
        - batch
        - template_file
        - template_file_version
        - status
        - output_type
      title: Box Doc Genジョブ
      x-box-resource-id: docgen_job_v2025.0
      x-box-tag: docgen
      x-box-variant: standard
      x-box-variants:
        - base
        - standard
        - full
    DocGenJob--Base:
      description: Box Doc GenジョブのBase版の表示。
      type: object
      properties:
        id:
          description: Box Doc Genジョブを表す一意の識別子。
          type: string
          example: '12345'
          nullable: false
        type:
          description: 値は常に`docgen_job`になります。
          type: string
          example: docgen_job
          enum:
            - docgen_job
          nullable: false
      required:
        - id
        - type
      title: Box Doc Genジョブ (Base)
      x-box-resource-id: docgen_job_v2025.0--base
      x-box-tag: docgen
      x-box-variant: base
      x-box-variants:
        - base
        - standard
        - full
    DocGenBatch--Base:
      description: >-
        Box Doc GenバッチオブジェクトのBase版の表示。Box Doc Genのバッチには、1つ以上のBox Doc
        Genジョブが含まれています。
      type: object
      properties:
        id:
          description: Box Doc Genのバッチを表す一意の識別子。
          type: string
          example: '12345'
          nullable: false
        type:
          description: 値は常に`docgen_batch`になります。
          type: string
          example: docgen_batch
          enum:
            - docgen_batch
          nullable: false
      required:
        - id
        - type
      title: Box Doc Genのバッチ (Base)
      x-box-resource-id: docgen_batch_v2025.0--base
      x-box-tag: docgen
      x-box-variant: base
      x-box-variants:
        - base
    FileReference:
      description: ファイル参照。
      type: object
      properties:
        type:
          description: 値は常に`file`になります。
          type: string
          example: file
          enum:
            - file
          nullable: false
        id:
          description: オブジェクトのID。
          type: string
          example: '42037322'
          nullable: false
      required:
        - type
        - id
      title: ファイル参照
    FileVersion--Base:
      description: 最も基本的なファイルバージョンのBase版の表示。`fields`クエリパラメータを使用すると、最小限の数のフィールドが返されます。
      type: object
      properties:
        id:
          description: ファイルバージョンを表す一意の識別子。
          type: string
          example: '12345'
          nullable: false
        type:
          description: 値は常に`file_version`になります。
          type: string
          example: file_version
          enum:
            - file_version
          nullable: false
      required:
        - id
        - type
      title: ファイルバージョン (Base)
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````